#include <iostream>
using namespace std;

int init1(int *shuzu, int len) {
	for (int i = 0; i < len; i++) {
		shuzu[i] = 0;
	}
	return 0;
}

//int init2(int* shuzu, int len, int range)
//{
//	for(int i = 0, i < len; i++)
//	{
//
//	}
//}

int main() {
//	 freopen("assign.in", "r", stdin);
//	 freopen("assign.out", "r", stdout);
	freopen("assign1.in", "r", stdin);
	int T;
	cin >> T;
	while (T--) {
		cout << "-------" << endl; 
		int n, m, v;
		int a[n],b[n], c[m], d[m], x[n];
		init1(c, m);
		init1(d, m);
		init1(a, n - 1);
		init1(b, n - 1);
		init1(x, n);
		cin >> n >> m >> v;
		for (int i = 0; i < m; i++) {
			cin >> c[i] >> d[i];
		}
		for (int i = 0; i < n; i++) {
			cout << b[i];
		}
		cout << endl;
	}
}
